package com.xhpc.payment.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;


/**
 * @author
 * @description 退款订单 xhpc_refund_order
 * @date 2021-07-22
 */
public class XhpcRefundOrder extends BaseEntity {


    /**
     * 退款订单id
     */
    private Long refundOrderId;

    /**
     * 退款订单编号
     */
    private String refundOrderNumber;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 微信支付订单号
     */
    private String openId;

    /**
     * 支付宝订单编号
     */
    private String alipayId;

    /**
     * 充值金额
     */
    private BigDecimal amount;

    /**
     * 退款渠道（1微信 2支付宝）
     */
    private Integer type;

    /**
     * 审核状态（0审核中 1审核通过，2审核失败）
     */
    private Integer examineStatus;

    /**
     * 状态（0退款中 1退款成功，2退款失败，3取消订单）
     */
    private Integer status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    public Long getRefundOrderId() {
        return refundOrderId;
    }

    public void setRefundOrderId(Long refundOrderId) {
        this.refundOrderId = refundOrderId;
    }

    public String getRefundOrderNumber() {
        return refundOrderNumber;
    }

    public void setRefundOrderNumber(String refundOrderNumber) {
        this.refundOrderNumber = refundOrderNumber;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getAlipayId() {
        return alipayId;
    }

    public void setAlipayId(String alipayId) {
        this.alipayId = alipayId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getExamineStatus() {
        return examineStatus;
    }

    public void setExamineStatus(Integer examineStatus) {
        this.examineStatus = examineStatus;
    }
}
